package dev.service;

import dev.dao.MenuItemDao;
import dev.model.MenuItem;

import java.util.List;

public class MenuService {

    private final MenuItemDao menuItemDao = new MenuItemDao();

    public void showMenu() {

        List<MenuItem> items = menuItemDao.findAll();

        System.out.println("========== MENU ==========");

        if (items.isEmpty()) {
            System.out.println("No items available.");
            return;
        }

        for (MenuItem item : items) {
            System.out.println(
                    item.getId() + " - " +
                            item.getName() + " | " +
                            item.getPrice() + " | " +
                            item.getCategory()
            );
        }

        System.out.println("==========================");
    }
}